# thread.c File Reference

`#include <ubixfs/ubixfs.h>`
`#include <ubixos/kpanic.h>`
`#include <vfs/vfs.h>`
`#include <lib/kprintf.h>`

Include dependency graph for thread.c:

Go to the source code of this file.

## Functions

void | ubixfs_thread (struct vfs_mountPoint *mp)

## Variables

struct {
int mounts
} | ubixFS_Info

## Function Documentation

void ubixfs_thread | ( | struct vfs_mountPoint * | mp | ) |

Definition at line 39 of file thread.c.

References mpi_message::header, kpanic(), kprintf(), mpi_createMbox(), mpi_fetchMessage(), and ubixFS_Info.

Here is the call graph for this function:

## Variable Documentation

int mounts

Definition at line 36 of file thread.c.

struct { ... } ubixFS_Info `[static]`

Referenced by ubixfs_thread().